#!/bin/sh

DEV=${2-wlan0}

case $1 in 
	start)
		iwconfig $DEV mode monitor
		ifconfig $DEV up
		;;
	stop)
		iwconfig $DEV mode managed
		ifconfig $DEV down
		;;
	*)
		echo "Usage: $0 {start|stop} [DEV]"
		;;
esac		

exit 0
